GET /chat Requires Auth

Send a message to the chat

Sends a message to the chat system and receives a response. If no conversation ID is provided, the system will create a new one and redirect to the same endpoint with the new ID.

Test Endpoint

Parameters

prompt * query string

The message to send to the chat

Example:

Hello, how are you?
id query integer

Conversation ID (5 digits between 11111-99999)

Example:

12345
model query string

The AI model to use for chat (defaults to chatgpt)

Example:

chatgpt

Allowed Values:

chatgpt gemini llama

Code Examples

curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  'https://nexonapi.com/api/chat-ai/chat?prompt=Hello%2C+how+are+you%3F&id=12345&model=chatgpt'
Example cURL Request
curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  'https://nexonapi.com/api/chat-ai/chat?prompt=Hello%2C+how+are+you%3F&id=12345&model=chatgpt'
frontend.example_response
{
    "response": "I'm doing well, thank you for asking!"
}